> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get task information by task ID in the FlexiCapture for Invoices Cloud API via the v2/task GET method, returning a CaptureTask with status and progress.

Gets task information by task ID.

Using this method, you can check the task status using the identifier you have received when starting the task.

## HTTP request

```http theme={null}
GET https://api-{location-id}.flexicapture.com/v2/task/{id}
```

Replace `{location-id}` with your [supported location](/flexi-capture/cloud/cloud-f-cfor-invoices-api#icaas-supported-countries).

## Path parameters

| Parameter | Type         | Description        |
| --------- | ------------ | ------------------ |
| `id`      | path, string | Required. Task ID. |

## Response

If successful, the response body contains an instance of `CaptureTask`.

```json theme={null}
{
  "id": "string",
  "number": "string",
  "verification_id": "string",
  "type": "ic",
  "properties": {
    "property_name": "string"
  },
  "email": "string",
  "account": "string",
  "application": "string",
  "created": "YYYY-MM-DDT00:00:00.000",
  "started": "YYYY-MM-DDT00:00:00.000",
  "action_required": "YYYY-MM-DDT00:00:00.000",
  "billed": "YYYY-MM-DDT00:00:00.000",
  "delivered": "YYYY-MM-DDT00:00:00.000",
  "deleted": "YYYY-MM-DDT00:00:00.000",
  "progress": 0,
  "status": "Submitted",
  "is_deleted": true,
  "is_demo": true,
  "is_billed": true,
  "documents_count": 0,
  "pages_count": 0,
  "documents": [
    {
      "files": {},
      "data": {},
      "is_moved": true
    }
  ]
}
```

### CaptureTask

| Field             | Type                              | Description                                                                                                                     |
| ----------------- | --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| `id`              | string                            | Required. Unique task ID.                                                                                                       |
| `number`          | string                            | Required. Task number.                                                                                                          |
| `verification_id` | string                            | Required. This ID is used to open the verification page, that is, `https://{cloud-host}/verification/{verification_id}`.        |
| `type`            | string                            | Required. Task type. Supported types: `ic`: invoice capture, `dc`: document capture.                                            |
| `properties`      | object                            | Optional. Processing settings or custom registration parameters. Any number of name-value pairs.                                |
| `email`           | string                            | Required. The email address used to create the task.                                                                            |
| `account`         | string                            | Required. The account ID used to create the task.                                                                               |
| `application`     | string                            | Required. The application ID used to create the task.                                                                           |
| `created`         | string (\$date-time)              | Required. Task creation date.                                                                                                   |
| `started`         | string (\$date-time)              | Optional. Task start date.                                                                                                      |
| `action_required` | string (\$date-time)              | Optional. Date when the task received WaitForAction status.                                                                     |
| `billed`          | string (\$date-time)              | Optional. Task billing date.                                                                                                    |
| `delivered`       | string (\$date-time)              | Optional. Task completion date.                                                                                                 |
| `deleted`         | string (\$date-time)              | Optional. Data deletion date.                                                                                                   |
| `progress`        | number (\$double)                 | Required. Overall task progress.                                                                                                |
| `status`          | string                            | Required. Task completion status. Available statuses: `Submitted`, `InProgress`, `WaitForAction`, `Done`, `Failed`, `Canceled`. |
| `is_deleted`      | boolean                           | Required. Specifies whether the task data was deleted.                                                                          |
| `is_demo`         | boolean                           | Required. Specifies whether the task was created in the demo application.                                                       |
| `is_billed`       | boolean                           | Required. Specifies whether the task was billed.                                                                                |
| `documents_count` | integer (\$int32)                 | Optional. Number of documents in task.                                                                                          |
| `pages_count`     | integer (\$int32)                 | Optional. Number of pages in task.                                                                                              |
| `documents[]`     | object (DataCaptureDocumentModel) | Required. Documents in task.                                                                                                    |

### DataCaptureDocumentModel

| Field      | Type                              | Description                                         |
| ---------- | --------------------------------- | --------------------------------------------------- |
| `files`    | object (DataCaptureFileLinkModel) | Required. List of files linked to document.         |
| `data`     | string                            | Optional. Document data.                            |
| `is_moved` | boolean                           | Required. Document was removed during verification. |

### DataCaptureFileLinkModel

| Field   | Type   | Description                  |
| ------- | ------ | ---------------------------- |
| `id`    | string | Required. File ID.           |
| `token` | string | Required. File access token. |
| `name`  | string | Required. File name.         |
